Subject: RE: [RPSEC] proposed message to the IESG

From: Sandy Murphy <[email-masked]>
Date: Fri, 21 Jan 2005 11:27:44 -0500 (EST)

>Now, let's assume C is using the path through B to reach 10.1.1.0/24, but 
>also has the path through A. When A->B fails, what happens?
>...
>-- C sends an update to D stating the AS Path has changed from {A,B,C} to 
>{A}.

Maybe this is a typo and you meant to say that C sends {A,C}. Or maybe
you're hitting on my favorite case of "yes, always, no, not always"
debate about BGP speakers always putting their own AS on the AS_PATH
as they compose an update.

>Notice what's missing? D never got B's withdraw. D implies that C is 
>withdrawing the first route, because it sent the second

Bewilderment.  So?  The spec specifically says that a replacement
route is one of the ways to indicate that "a previously advertised route
is no longer available for use."  As the decision process is
specifically *NOT* mandated, D can imply nothing about why C
is now choosing a different route.  C might just have had a falling
out with B.

I don't know why you are bringing this up.  Are you under the
impression that someone said that a withdrawal had to be propogated?
It's certainly true that if B sends an withdrawal to C, you'd like to
have C cease to advertise a route through B.  But that's more an
internal correctness problem in C.

--Sandy

_______________________________________________
RPSEC mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rpsec

---

From: Russ White <[email-masked]>
Date: Fri, 21 Jan 2005 14:11:37 -0500 (Eastern Standard Time)

> Bewilderment.  So?  The spec specifically says that a replacement route 
> is one of the ways to indicate that "a previously advertised route is no 
> longer available for use."  As the decision process is specifically *NOT* 
> mandated, D can imply nothing about why C is now choosing a different 
> route.  C might just have had a falling out with B.
>
> I don't know why you are bringing this up.  Are you under the impression 
> that someone said that a withdrawal had to be propogated? It's certainly 
> true that if B sends an withdrawal to C, you'd like to have C cease to 
> advertise a route through B.  But that's more an internal correctness 
> problem in C.

Susan brought up the ordering of withdraws and updates as being important.

:-)

Russ

__________________________________
[email-masked] CCIE <>< Grace Alone